This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1081287 - (CVE-2014-2681, CVE-2014-2682, CVE-2014-2683) CVE-2014-2681 CVE-2014-2682 CVE-2014-2683 php-ZendFramework: XML eXternal Entity (XXE) and XML Entity Expansion (XEE) flaws fixed in 1.12.4, 2.1.6, and 2.2.6 (ZF2014-01)
CVE-2014-2681 CVE-2014-2682 CVE-2014-2683 php-ZendFramework: XML eXternal Ent...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140306,repo...
: Security
Depends On: 1081290 1081291 1081292 1081293
Blocks: 1081297
  Show dependency treegraph
 
Reported: 2014-03-26 22:03 EDT by Murray McAllister
Modified: 2015-01-04 17:39 EST (History)
4 users (show)

See Also:
Fixed In Version: Zend Framework 1.12.4, Zend Framework 2.1.6, Zend Framework 2.2.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-29 23:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-03-26 22:03:41 EDT
XML eXternal Entity (XXE) and XML Entity Expansion (XEE) flaws were discovered in the Zend Framework. An attacker could use these flaws to cause a denial of service, access files accessible to the server process, or possibly perform other more advanced XML External Entity (XXE) attacks.

These issues have been fixed in versions 1.12.4, 2.1.6, and 2.2.6.

External References:

http://framework.zend.com/security/advisory/ZF2014-01
Comment 1 Murray McAllister 2014-03-26 22:06:55 EDT
Created php-ZendFramework2 tracking bugs for this issue:

Affects: fedora-all [bug 1081291]
Affects: epel-6 [bug 1081293]
Comment 2 Murray McAllister 2014-03-26 22:07:00 EDT
Created php-ZendFramework tracking bugs for this issue:

Affects: fedora-all [bug 1081290]
Affects: epel-6 [bug 1081292]
Comment 3 Murray McAllister 2014-03-26 22:18:32 EDT
CVE request: http://www.openwall.com/lists/oss-security/2014/03/27/1
Comment 4 Murray McAllister 2014-04-01 02:35:30 EDT
MITRE assigned a number of CVEs. Quoting from http://seclists.org/oss-sec/2014/q2/0

""
CVE-2014-2681 - This CVE is for the lack of protection against XML
External Entity injection attacks in some functions, because of the
incomplete fix in CVE-2012-5657. It appears that this only affects
Zend Framework 1.x, although that isn't critical to determining the
number of CVE IDs.

CVE-2014-2682 - This CVE is for the failure to consider that the
libxml_disable_entity_loader setting is shared among threads in the
PHP-FPM case. Again, the existence of this CVE means that the
CVE-2012-5657 fix was incomplete. It appears that this affects more
than just Zend Framework 1.x, although that isn't critical to
determining the number of CVE IDs.

CVE-2014-2683 - This CVE is for the lack of protection against XML
Entity Expansion attacks in some functions, because of the incomplete
fix in CVE-2012-6532. It appears that this also affects more than just
Zend Framework 1.x, although that isn't critical to determining the
number of CVE IDs.
""
Comment 5 Fedora Update System 2014-04-14 18:34:50 EDT
php-ZendFramework-1.12.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-04-14 18:36:01 EDT
php-ZendFramework-1.12.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2014-04-14 18:40:43 EDT
php-ZendFramework2-2.2.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-04-14 18:45:30 EDT
php-ZendFramework2-2.2.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2014-04-22 15:57:15 EDT
php-ZendFramework2-2.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-06-29 23:37:30 EDT
php-ZendFramework-1.12.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.